Bug 584606 - RHEL5.5 does not install with PXE using a virtio-net device
Summary: RHEL5.5 does not install with PXE using a virtio-net device
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 5.5
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 01:40 UTC by Christopher Curran
Modified: 2011-07-27 17:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 17:25:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the step where the install fails (6.21 KB, image/png)
2010-04-22 01:40 UTC, Christopher Curran
no flags Details

Description Christopher Curran 2010-04-22 01:40:00 UTC
Created attachment 408208 [details]
the step where the install fails

Description of problem:
While attempting to install Red Hat Enterprise Linux 5.5 as a guest on Red Hat Enterprise Linux 5.5 KVM I found that the para-virtualized network driver (virtio-net) is not automatically detected for the network bridge and the PXE  installation cannot continue.

Version-Release number of selected component (if applicable):
5.5 guest on 5.5 host.

How reproducible:
100%

Steps to Reproduce:
1. Install a network bridge on the host as described in the Virtualization Guide: http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.5/html/Virtualization_Guide/sect-Virtualization-Network_Configuration-Bridged_networking_with_libvirt.html 
2. Create a fully virtualized RHEL5.5 guest. Select type "Red Hat Enterprise Linux 5.4 or later" in virt-manager.
3. Select PXE as the installation method.
4. Once the PXE image of Red Hat Enterprise Linux 5.5 boots the installation will fail after selecting the keyboard as anaconda is not loading the virtio drivers. See the screenshot.
  
Actual results:
Installation cannot be completed.

Expected results:
Red Hat Enterprise Linux 5.5 guests are installable.

Additional info:
This may be a bug with virtio-net not fully supporting PXE.

Comment 1 Chris Lumens 2010-04-23 13:37:26 UTC
Do you know what kernel driver is required on the guest to support this hardware?  It's possible that we're simply lacking the driver.  On the other hand, it's also possible that the driver does not have the proper data to know it should be driving your network device.

Comment 2 Christopher Curran 2010-04-27 04:30:56 UTC
The driver is 'virtio-net', the KVM para-virtualized network driver.

Chris

Comment 3 Christopher Curran 2010-04-27 04:34:48 UTC
The virtio-net driver is in the default 5.5 kernel. It works for other tasks and the device can be modified to use this driver after the installation.

Comment 4 Chris Lumens 2010-04-27 14:57:57 UTC
Okay, we have the virtio modules in the install image.  Can you attach /tmp/anaconda.log (tty3) to this bug report?  We should have some log messages regarding virtio probing there.


Note You need to log in before you can comment on or make changes to this bug.